Subject: bug#8364: 24.0.9999; PATCH: Fit to width/height/page for doc-view.el

From: [email-masked]
Date: Tue, 29 Mar 2011 11:32:16 +0200

Stefan Monnier <[email-masked]> writes:

>>> Good, thanks.  I'll still have to do it by hand, sadly, since I like to
>>> "fit the text" rather than "fit the page", i.e. I like to keep the
>>> margins outside of the viewable area.  A command to do that
>>> automatically would be really nifty.
>> Sad to say, I have no idea to realize such function, although I completely
>> agree with you.
>
> Neither do I, which is why I haven't implemented it yet.
>
> Actually, I think it's largely impossible to do it the way I like to do
> it by hand, because I often keep page headers and footers outside of the
> viewable area, so the tool would have to be able to recognize those
> automatically, which seems close to impossible.
> I've tried to use pdfcrop a few times but it almost always bumps into
> some text displayed in some corner and ends up showing me more than
> I want to see.

"unpaper" is free software and is actually pretty good at finding
margins automatically. Maybe that could be called optionally? It would
just be used to find margins and provide the coordinates to docview.

Also I have some code to call "opencv" to find lens dust in an Emacs
image in my "Emsane" package on github.

Just some random feedback for you.

>         Stefan

-- 
Joakim Verona